Debian Bug report logs - #396185
sky2 network driver freezes

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Adrian Johnson <ajohnson@redneon.com>

Date: Mon, 30 Oct 2006 12:03:01 UTC

Severity: normal

Fixed in version 2.6.24-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Adrian Johnson <ajohnson@redneon.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Johnson <ajohnson@redneon.com>
To: submit@bugs.debian.org
Subject: sky2 network driver freezes
Date: Mon, 30 Oct 2006 22:23:17 +1030
Package: linux-image-2.6.18-1-amd64
Version: 2.6.18-4~snapshot.7648

I have experienced a network freeze of the sky2 network driver
The console error message is:

NETDEV WATCHDOG	: eth0: transmit timed out
sky2 eth0: tx timeout
sky2 hardware hung? flushing

According to lspci my network device is

05:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E
Gigabit Ethernet Controller (rev 19)

I can recover from the freeze by unloading and reloading the sky2 module.

I originally reported this in bug 394254. It was suggested I try 2.6.18.
 I had no problems with 2.6.18 for a few days and thought the problem
had been fixed. However it has reappeared again.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: Debian Bug Tracking System <396185@bugs.debian.org>
Subject: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 10:30:30 +0300
Package: linux-image-2.6.17-2-686
Version: 2.6.17-9
Followup-For: Bug #396185

Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
fixed in 2.6.18.1

Here is link to discussion:
http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages linux-image-2.6.17-2-686 depends on:
ii  initramfs-tools [linux-initra 0.84       tools for generating an initramfs
ii  module-init-tools             3.2.2-3    tools for managing Linux kernel mo

Versions of packages linux-image-2.6.17-2-686 recommends:
pn  libc6-i686                    <none>     (no description available)

-- debconf information:
  linux-image-2.6.17-2-686/postinst/old-initrd-link-2.6.17-2-686: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.17-2-686/postinst/old-dir-initrd-link-2.6.17-2-686: true
  linux-image-2.6.17-2-686/preinst/lilo-initrd-2.6.17-2-686: true
  linux-image-2.6.17-2-686/preinst/failed-to-move-modules-2.6.17-2-686:
  linux-image-2.6.17-2-686/postinst/depmod-error-initrd-2.6.17-2-686: false
  linux-image-2.6.17-2-686/postinst/create-kimage-link-2.6.17-2-686: true
  linux-image-2.6.17-2-686/postinst/bootloader-test-error-2.6.17-2-686:
  linux-image-2.6.17-2-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.17-2-686/prerm/removing-running-kernel-2.6.17-2-686: true
  linux-image-2.6.17-2-686/preinst/abort-overwrite-2.6.17-2-686:
  linux-image-2.6.17-2-686/preinst/already-running-this-2.6.17-2-686:
  linux-image-2.6.17-2-686/postinst/old-system-map-link-2.6.17-2-686: true
  linux-image-2.6.17-2-686/preinst/bootloader-initrd-2.6.17-2-686: true
  linux-image-2.6.17-2-686/preinst/initrd-2.6.17-2-686:
  linux-image-2.6.17-2-686/preinst/abort-install-2.6.17-2-686:
  linux-image-2.6.17-2-686/preinst/overwriting-modules-2.6.17-2-686: true
  linux-image-2.6.17-2-686/postinst/kimage-is-a-directory:
  linux-image-2.6.17-2-686/preinst/elilo-initrd-2.6.17-2-686: true
  linux-image-2.6.17-2-686/prerm/would-invalidate-boot-loader-2.6.17-2-686: true
  linux-image-2.6.17-2-686/postinst/depmod-error-2.6.17-2-686: false
  linux-image-2.6.17-2-686/postinst/bootloader-error-2.6.17-2-686:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 396185@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: 396185-submitter@bug.debian.org
Cc: Evgeniy Polyakov <johnpol@2ka.mipt.ru>, 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 09:57:16 +0100
On Tue, Oct 31, 2006 at 10:30:30AM +0300, Evgeniy Polyakov wrote:
> Package: linux-image-2.6.17-2-686
> Version: 2.6.17-9
> Followup-For: Bug #396185
> 
> Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> fixed in 2.6.18.1
> 
> Here is link to discussion:
> http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> 

can you try the linux-image 2.6.18, they are in unstable
and the etch release images.

thanks

--
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: 396185-submitter@bug.debian.org, 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 12:30:55 +0300
On Tue, Oct 31, 2006 at 09:57:16AM +0100, maximilian attems (maks@sternwelten.at) wrote:
> On Tue, Oct 31, 2006 at 10:30:30AM +0300, Evgeniy Polyakov wrote:
> > Package: linux-image-2.6.17-2-686
> > Version: 2.6.17-9
> > Followup-For: Bug #396185
> > 
> > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > fixed in 2.6.18.1
> > 
> > Here is link to discussion:
> > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > 
> 
> can you try the linux-image 2.6.18, they are in unstable
> and the etch release images.

apt-get can not find them in 'deb http://ftp.debian.org/debian/ etch main'
Only kernel headers with 2.6.18-3 version can be found.

> thanks
> 
> --
> maks

-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 396185@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Cc: 396185-submitter@bug.debian.org, 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 10:34:55 +0100
On Tue, Oct 31, 2006 at 12:30:55PM +0300, Evgeniy Polyakov wrote:
> On Tue, Oct 31, 2006 at 09:57:16AM +0100, maximilian attems (maks@sternwelten.at) wrote:
> > On Tue, Oct 31, 2006 at 10:30:30AM +0300, Evgeniy Polyakov wrote:
> > > Package: linux-image-2.6.17-2-686
> > > Version: 2.6.17-9
> > > Followup-For: Bug #396185
> > > 
> > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > fixed in 2.6.18.1
> > > 
> > > Here is link to discussion:
> > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > 
> > 
> > can you try the linux-image 2.6.18, they are in unstable
> > and the etch release images.
> 
> apt-get can not find them in 'deb http://ftp.debian.org/debian/ etch main'
> Only kernel headers with 2.6.18-3 version can be found.
> 

sure they are still in unstable, but will just install fine in testing.
just add unstable for them on your sources and remove them afterwards.

--
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 12:44:25 +0300
On Tue, Oct 31, 2006 at 10:34:55AM +0100, maximilian attems (maks@sternwelten.at) wrote:
> On Tue, Oct 31, 2006 at 12:30:55PM +0300, Evgeniy Polyakov wrote:
> > On Tue, Oct 31, 2006 at 09:57:16AM +0100, maximilian attems (maks@sternwelten.at) wrote:
> > > On Tue, Oct 31, 2006 at 10:30:30AM +0300, Evgeniy Polyakov wrote:
> > > > Package: linux-image-2.6.17-2-686
> > > > Version: 2.6.17-9
> > > > Followup-For: Bug #396185
> > > > 
> > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > fixed in 2.6.18.1
> > > > 
> > > > Here is link to discussion:
> > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > 
> > > 
> > > can you try the linux-image 2.6.18, they are in unstable
> > > and the etch release images.
> > 
> > apt-get can not find them in 'deb http://ftp.debian.org/debian/ etch main'
> > Only kernel headers with 2.6.18-3 version can be found.
> > 
> 
> sure they are still in unstable, but will just install fine in testing.
> just add unstable for them on your sources and remove them afterwards.

I'm installing it right now, although package is called 2.6.18-1, but
actual version is 2.6.18-3, so if it was based on 2.6.18.2+ then bug
should be fixed. I will add more details if this situation appeares
again, since I can not say that it is easily reproducible.

P.S. I removed 396185-submitter@bug.debian.org e-mail from Cc, since I
received bounce about unexistent domain bug.debian.org and MX record
absence for it.

Thanks.

> --
> maks

-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 396185@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Cc: 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 31 Oct 2006 10:56:56 +0100
On Tue, Oct 31, 2006 at 12:44:25PM +0300, Evgeniy Polyakov wrote:
> 
> I'm installing it right now, although package is called 2.6.18-1, but
> actual version is 2.6.18-3, so if it was based on 2.6.18.2+ then bug
> should be fixed. I will add more details if this situation appeares
> again, since I can not say that it is easily reproducible.

there is no 2.6.18.2 yet, although it is in the pipe.
of course 2.6.18.1 + other fixes is there.

-- 
maks
 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Oleg Verych <olecom@flower.upol.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 396185@bugs.debian.org (full text, mbox):

From: Oleg Verych <olecom@flower.upol.cz>
To: Adrian Johnson <ajohnson@redneon.com>, 396185@bugs.debian.org
Subject: Re: Bug#396185: sky2 network driver freezes
Date: Tue, 31 Oct 2006 16:58:17 +0000
On 2006-10-30, Adrian Johnson wrote:
[]
> Package: linux-image-2.6.18-1-amd64
> Version: 2.6.18-4~snapshot.7648
>
> I have experienced a network freeze of the sky2 network driver
> The console error message is:
> NETDEV WATCHDOG	: eth0: transmit timed out
> sky2 eth0: tx timeout
> sky2 hardware hung? flushing
[]

OK. Thread on LKML has ended with this
(you can browse down it a bit also).
<http://permalink.gmane.org/gmane.linux.kernel/456936>

I don't know if pci mmconfig patch was reverted in 2.6.18.1 (it wasn't
according to kernel.org's changelog) debian tree (also didn't see that).

If you can, please revert it and try to get bug or more info.
2.6.19-rcX has that patch reverted, see commit:
7bd656d12119708b37414bf909ab2995473da818

If this will solve your problem, this should go to 2.6.18-4.

Thanks.
____



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #45 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: 396185@bugs.debian.org, Stephen Hemminger <shemminger@osdl.org>, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Thu, 16 Nov 2006 20:35:32 +0300
[Message part 1 (text/plain, inline)]
On Tue, Oct 31, 2006 at 12:44:25PM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> > > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > > fixed in 2.6.18.1
> > > > > 
> > > > > Here is link to discussion:
> > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > 
> > > > 
> > > > can you try the linux-image 2.6.18, they are in unstable
> > > > and the etch release images.

2.6.18-1-686 kernel still allows to freeze sky2.
There is nothing in dmesg and card just stops transmitting and
receiving.
rmmod/modproble helps in this situation though, so it is probably 
not 100% the same bug as described in above link.

It looks like it happens when device is in promiscuous mode some traffic
is started, at least I did not see such freezes when device operates in 
usual mode, but it can be unrelated though.

I would say it is 100% reproducible, but only in current state - I do
not know what will happen when I reboot. With tcpdump -n host 224.0.0.123
and scp of the big file from sky2 to via_rhine 100mbit I'm able to
reproduce that bug 100%, without tcpdump it seems to work correct.

Here is rmmod/modprobe dmesg:

ACPI: PCI interrupt for device 0000:05:00.0 disabled
PCI: Enabling device 0000:05:00.0 (0000 -> 0003)
ACPI: PCI Interrupt 0000:05:00.0[A] -> Link [LNKD] -> GSI 17 (level,low) -> IRQ 106
PCI: Setting latency timer of device 0000:05:00.0 to 64
sky2 v1.5 addr 0xfbefc000 irq 106 Yukon-EC (0xb6) rev 2
sky2 eth0: addr 00:17:31:9a:e5:be
sky2 eth0: enabling interface
ADDRCONF(NETDEV_UP): eth0: link is not ready
sky2 eth0: Link is up at 1000 Mbps, full duplex, flow control both
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present

Here is line from /proc/interrupts when device was frozen again:
114:    3257078          0         PCI-MSI  sky2

Above number does not change when card is frozen and starts increasing
after rmmod/modprobe.

Attached statistic and register dumps for working and frozen states.

-- 
	Evgeniy Polyakov
[stat_broken (text/plain, attachment)]
[stat_correct (text/plain, attachment)]
[register_dump_broken (text/plain, attachment)]
[register_dump_correct (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@osdl.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #50 received at 396185@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@osdl.org>
To: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Cc: maximilian attems <maks@sternwelten.at>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Thu, 16 Nov 2006 09:38:21 -0800
On Thu, 16 Nov 2006 20:35:32 +0300
Evgeniy Polyakov <johnpol@2ka.mipt.ru> wrote:

> On Tue, Oct 31, 2006 at 12:44:25PM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> > > > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > > > fixed in 2.6.18.1
> > > > > > 
> > > > > > Here is link to discussion:
> > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > 
> > > > > 
> > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > and the etch release images.
> 
> 2.6.18-1-686 kernel still allows to freeze sky2.

Fix didn't go in until 2.6.18.2

> There is nothing in dmesg and card just stops transmitting and
> receiving.
> rmmod/modproble helps in this situation though, so it is probably 
> not 100% the same bug as described in above link.
> 
> It looks like it happens when device is in promiscuous mode some traffic
> is started, at least I did not see such freezes when device operates in 
> usual mode, but it can be unrelated though.
> 
> I would say it is 100% reproducible, but only in current state - I do
> not know what will happen when I reboot. With tcpdump -n host 224.0.0.123
> and scp of the big file from sky2 to via_rhine 100mbit I'm able to
> reproduce that bug 100%, without tcpdump it seems to work correct.
> 
> Here is rmmod/modprobe dmesg:
> 
> ACPI: PCI interrupt for device 0000:05:00.0 disabled
> PCI: Enabling device 0000:05:00.0 (0000 -> 0003)
> ACPI: PCI Interrupt 0000:05:00.0[A] -> Link [LNKD] -> GSI 17 (level,low) -> IRQ 106
> PCI: Setting latency timer of device 0000:05:00.0 to 64
> sky2 v1.5 addr 0xfbefc000 irq 106 Yukon-EC (0xb6) rev 2
> sky2 eth0: addr 00:17:31:9a:e5:be
> sky2 eth0: enabling interface
> ADDRCONF(NETDEV_UP): eth0: link is not ready
> sky2 eth0: Link is up at 1000 Mbps, full duplex, flow control both
> ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
> eth0: no IPv6 routers present
> 
> Here is line from /proc/interrupts when device was frozen again:
> 114:    3257078          0         PCI-MSI  sky2
> 
> Above number does not change when card is frozen and starts increasing
> after rmmod/modprobe.
> 
> Attached statistic and register dumps for working and frozen states.
> 

Please retest with 2.76.18.2 or 2.6.19-rc6, there were some fixes
already there.

-- 
Stephen Hemminger <shemminger@osdl.org>



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#396185; Package linux-image-2.6.18-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #55 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: Stephen Hemminger <shemminger@osdl.org>
Cc: maximilian attems <maks@sternwelten.at>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Thu, 16 Nov 2006 20:48:17 +0300
On Thu, Nov 16, 2006 at 09:38:21AM -0800, Stephen Hemminger (shemminger@osdl.org) wrote:
> Please retest with 2.76.18.2 or 2.6.19-rc6, there were some fixes
> already there.

I will install that kernel, but I can not test it right now.
If there will be any problem I will report it.
Thank you.

> -- 
> Stephen Hemminger <shemminger@osdl.org>

-- 
	Evgeniy Polyakov



Bug reassigned from package `linux-image-2.6.18-1-amd64' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 396185@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Stephen Hemminger <shemminger@osdl.org>
Cc: Evgeniy Polyakov <johnpol@2ka.mipt.ru>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Sat, 18 Nov 2006 12:21:34 +0100
On Thu, 16 Nov 2006, Stephen Hemminger wrote:

> On Thu, 16 Nov 2006 20:35:32 +0300
> Evgeniy Polyakov <johnpol@2ka.mipt.ru> wrote:
> 
> > On Tue, Oct 31, 2006 at 12:44:25PM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> > > > > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > > > > fixed in 2.6.18.1
> > > > > > > 
> > > > > > > Here is link to discussion:
> > > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > > 
> > > > > > 
> > > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > > and the etch release images.
> > 
> > 2.6.18-1-686 kernel still allows to freeze sky2.
> 
> Fix didn't go in until 2.6.18.2

fix is in the 2.6.18-2-686 linux image, you'd better update
your test box.

thanks
 
-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: Stephen Hemminger <shemminger@osdl.org>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Sat, 18 Nov 2006 14:25:28 +0300
On Sat, Nov 18, 2006 at 12:21:34PM +0100, maximilian attems (maks@sternwelten.at) wrote:
> > > > > > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > > > > > fixed in 2.6.18.1
> > > > > > > > 
> > > > > > > > Here is link to discussion:
> > > > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > > > 
> > > > > > > 
> > > > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > > > and the etch release images.
> > > 
> > > 2.6.18-1-686 kernel still allows to freeze sky2.
> > 
> > Fix didn't go in until 2.6.18.2
> 
> fix is in the 2.6.18-2-686 linux image, you'd better update
> your test box.

Just for clarification: there are at least two bugs described - one in
the above link, and this new one. The former could only be fixed by
reboot, the latter - by rmmod/modprobe sequence. The former had special
info in dmesg, the latter does not.

Hopefully they both are fixed in 2.6.18-2.
I will set it up as soon as time permits (it is my main desktop, which
is rarely turned off) and report if problem still persists.

> thanks
>  
> -- 
> maks

-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: Stephen Hemminger <shemminger@osdl.org>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Wed, 29 Nov 2006 08:29:48 +0300
On Sat, Nov 18, 2006 at 02:25:27PM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> On Sat, Nov 18, 2006 at 12:21:34PM +0100, maximilian attems (maks@sternwelten.at) wrote:
> > > > > > > > > Bug was filled against 2.6.17-9, but was fixed in recent git (2.6.19-rc3), probably also
> > > > > > > > > fixed in 2.6.18.1
> > > > > > > > > 
> > > > > > > > > Here is link to discussion:
> > > > > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > > > > 
> > > > > > > > 
> > > > > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > > > > and the etch release images.
> > > > 
> > > > 2.6.18-1-686 kernel still allows to freeze sky2.
> > > 
> > > Fix didn't go in until 2.6.18.2
> > 
> > fix is in the 2.6.18-2-686 linux image, you'd better update
> > your test box.
> 
> Just for clarification: there are at least two bugs described - one in
> the above link, and this new one. The former could only be fixed by
> reboot, the latter - by rmmod/modprobe sequence. The former had special
> info in dmesg, the latter does not.
> 
> Hopefully they both are fixed in 2.6.18-2.
> I will set it up as soon as time permits (it is my main desktop, which
> is rarely turned off) and report if problem still persists.

Bug still exists in 2.6.18-2 (package version 5).
Can be 'fixed' by rmmod/modprobe sequence though.
Is not easily reproducible.

NETDEV WATCHDOG: eth0: transmit timed out
sky2 eth0: tx timeout
sky2 eth0: transmit ring 303 .. 280 report=303 done=303
sky2 hardware hung? flushing
NETDEV WATCHDOG: eth0: transmit timed out
sky2 eth0: tx timeout
sky2 eth0: transmit ring 280 .. 257 report=303 done=303
sky2 status report lost?
NETDEV WATCHDOG: eth0: transmit timed out
sky2 eth0: tx timeout
sky2 eth0: transmit ring 303 .. 280 report=303 done=303
sky2 hardware hung? flushing


-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Shane <shane@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 396185@bugs.debian.org (full text, mbox):

From: Shane <shane@debian.org>
To: 396185@bugs.debian.org
Subject: Lockup confirmed with latest vanilla kernel
Date: Sat, 09 Dec 2006 23:19:36 -0800
Hi,

I'm running into this as well and thought it might be of
help to add that this bug or something very similar is
confirmed on 2.6.19-git14.  It locks the system hard though
and it gets rebooted by the watchdog.

18:40:31 continuum kernel: NETDEV WATCHDOG: eth0: transmit timed out
18:40:31 continuum kernel: sky2 eth0: tx timeout
18:40:31 continuum kernel: sky2 eth0: transmit ring 482 .. 459 report=482 done=482
18:40:31 continuum kernel: sky2 hardware hung? flushing
18:40:40 continuum kernel: BUG: soft lockup detected on CPU#0!
18:40:40 continuum kernel:  [<781417d3>]  [<78127409>]  [<78112945>]  [<78103770>]  [<7829487d>]  [<f8996be2>]  [<f8998b09>]  [<7824484b>]  [<782448be>]  [<78126982>]  [<7812340d>]  [<7812349c>]  [<7811294a>]  [<78103770>]  [<7837007b>]  [<78101240>]  [<78101390>]  [<78355743>]  [<783551ae>]  =======================

Shane

-- 
http://www.cm.nu/~shane/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: maximilian attems <maks@sternwelten.at>
Cc: Stephen Hemminger <shemminger@osdl.org>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Sun, 17 Dec 2006 17:15:47 +0300
On Wed, Nov 29, 2006 at 08:29:48AM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> > > > > > > > > > Here is link to discussion:
> > > > > > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > > > > > 
> > > > > > > > > 
> > > > > > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > > > > > and the etch release images.
> > > > > 
> > > > > 2.6.18-1-686 kernel still allows to freeze sky2.
> > > > 
> > > > Fix didn't go in until 2.6.18.2
> > > 
> > > fix is in the 2.6.18-2-686 linux image, you'd better update
> > > your test box.
> > 
> > Just for clarification: there are at least two bugs described - one in
> > the above link, and this new one. The former could only be fixed by
> > reboot, the latter - by rmmod/modprobe sequence. The former had special
> > info in dmesg, the latter does not.
> > 
> > Hopefully they both are fixed in 2.6.18-2.
> > I will set it up as soon as time permits (it is my main desktop, which
> > is rarely turned off) and report if problem still persists.
> 
> Bug still exists in 2.6.18-2 (package version 5).
> Can be 'fixed' by rmmod/modprobe sequence though.
> Is not easily reproducible.

Bug with freeze also exists in 2.6.18-3 (package version 2.6.18-7) - no
messages in dmesg, no interrupts.
It is dual lan board with only one port being used.
rmmod/modprobe sequence brings NIC back to working mode.

-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 396185@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 396185@bugs.debian.org
Subject: similar issues with sky2
Date: Sun, 17 Dec 2006 19:48:16 -0500
[Message part 1 (text/plain, inline)]
Hi,

I'm having similar problems with the sky2 driver. We've been avoiding
the builtin drivers from the packaged kernels in stable for a while,
but we're now using the backports (2.6.17 from backports.org), and we
(unvoluntarly) have started using the sky2 module. Traffic on the NIC
is usually low, so everything worked pretty well, until I had to rsync
data over the wire, at which point everything went black. The NIC was
still there, but traffic wasn't going through (can't ping the
machine's own IP). I couldn't find error messages in the dmesg or the
kernel log.

I don't have the courage to upgrade to the 2.6.18 kernel since this is
a production machine and I need to resolve this issue very quickly.
I apologize for not having a test machine for doing this.. We're
putting a new infrastructure live tomorrow and can't afford
uncertainty at this point...

We've reverted to using the manufacturer's driver at this point:

http://www.marvell.com/drivers/driverDisplay.do?dId=153&pId=36

0000:04:00.0 Ethernet controller: Marvell Technology Group Ltd.: Unknown device 4361 (rev 18)
        Subsystem: Intel Corp.: Unknown device 3452
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 0x10 (64 bytes)
        Interrupt: pin A routed to IRQ 177
        Region 0: Memory at ff720000 (64-bit, non-prefetchable) [size=16K]
        Region 2: I/O ports at a800 [size=256]
        Expansion ROM at ff700000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
                Address: 00000000fee00000  Data: 4042
        Capabilities: [e0] #10 [0011]
00: ab 11 61 43 07 01 10 00 18 00 00 02 10 00 00 00
10: 04 00 72 ff 00 00 00 00 01 a8 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 86 80 52 34
30: 00 00 70 ff 48 00 00 00 00 00 00 00 0a 01 00 00
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@osdl.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #92 received at 396185@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@osdl.org>
To: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Cc: maximilian attems <maks@sternwelten.at>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Mon, 18 Dec 2006 09:17:28 -0800
On Sun, 17 Dec 2006 17:15:47 +0300
Evgeniy Polyakov <johnpol@2ka.mipt.ru> wrote:

> On Wed, Nov 29, 2006 at 08:29:48AM +0300, Evgeniy Polyakov (johnpol@2ka.mipt.ru) wrote:
> > > > > > > > > > > Here is link to discussion:
> > > > > > > > > > > http://marc.theaimsgroup.com/?l=linux-netdev&m=116227512815783&w=2
> > > > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > can you try the linux-image 2.6.18, they are in unstable
> > > > > > > > > > and the etch release images.
> > > > > > 
> > > > > > 2.6.18-1-686 kernel still allows to freeze sky2.
> > > > > 
> > > > > Fix didn't go in until 2.6.18.2
> > > > 
> > > > fix is in the 2.6.18-2-686 linux image, you'd better update
> > > > your test box.
> > > 
> > > Just for clarification: there are at least two bugs described - one in
> > > the above link, and this new one. The former could only be fixed by
> > > reboot, the latter - by rmmod/modprobe sequence. The former had special
> > > info in dmesg, the latter does not.
> > > 
> > > Hopefully they both are fixed in 2.6.18-2.
> > > I will set it up as soon as time permits (it is my main desktop, which
> > > is rarely turned off) and report if problem still persists.
> > 
> > Bug still exists in 2.6.18-2 (package version 5).
> > Can be 'fixed' by rmmod/modprobe sequence though.
> > Is not easily reproducible.
> 
> Bug with freeze also exists in 2.6.18-3 (package version 2.6.18-7) - no
> messages in dmesg, no interrupts.
> It is dual lan board with only one port being used.
> rmmod/modprobe sequence brings NIC back to working mode.
> 

What are the statistics (ethtool -S eth0) after the hang.
One user reported a single pause frame being sent. I have can't reproduce
a hang with similar hardware, so am beginning to wonder if the problem is
pause negotiation, and interoperability problems??  Maybe the receiver gets
overloaded and sends one pause frame, but the switch can't really do flow
control and gets stuck.  I do stress tests with either a direct connect cable,
or with a switch that does flow control and lots of packets and see the driver/hardware
successfully doing flow control.




-- 
Stephen Hemminger <shemminger@osdl.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Evgeniy Polyakov <johnpol@2ka.mipt.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 396185@bugs.debian.org (full text, mbox):

From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: Stephen Hemminger <shemminger@osdl.org>
Cc: maximilian attems <maks@sternwelten.at>, 396185@bugs.debian.org, netdev@vger.kernel.org
Subject: Re: Bug#396185: sky2 freezes in 2.6.17-2-686. Maintainer confirms that it should be fixed in 2.6.19-git tree.
Date: Tue, 19 Dec 2006 08:38:59 +0300
On Mon, Dec 18, 2006 at 09:17:28AM -0800, Stephen Hemminger (shemminger@osdl.org) wrote:
> > Bug with freeze also exists in 2.6.18-3 (package version 2.6.18-7) - no
> > messages in dmesg, no interrupts.
> > It is dual lan board with only one port being used.
> > rmmod/modprobe sequence brings NIC back to working mode.
> > 
> 
> What are the statistics (ethtool -S eth0) after the hang.
> One user reported a single pause frame being sent. I have can't reproduce
> a hang with similar hardware, so am beginning to wonder if the problem is
> pause negotiation, and interoperability problems??  Maybe the receiver gets
> overloaded and sends one pause frame, but the switch can't really do flow
> control and gets stuck.  I do stress tests with either a direct connect cable,
> or with a switch that does flow control and lots of packets and see the driver/hardware
> successfully doing flow control.
 
Load was quite small - no huge transfers, just usual couple of ssh
sessions to read mails, web. Switch is dlink dgs-1216t gigabit one which
supports flow control (according to dlink spec).

I will dump statistic and registers next time it happens - I do not know
how to reproduce it on demand.
 
> -- 
> Stephen Hemminger <shemminger@osdl.org>

-- 
	Evgeniy Polyakov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to kiu <kiu@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 396185@bugs.debian.org (full text, mbox):

From: kiu <kiu@gmx.net>
To: 396185@bugs.debian.org
Subject: Status ?
Date: Tue, 23 Oct 2007 12:26:03 +0200
What is the status of this bug ?

It happens on my server too (2.6.18-5-amd64):

kernel: sky2 v1.5 addr 0xddffc000 irq 169 Yukon-EC (0xb6)rev 2
kernel: sky2 eth0: Link is up at 100 Mbps, full duplex, flow control none
...
kernel: sky2 status report lost?
kernel: NETDEV WATCHDOG: eth0: transmit timed out
kernel: sky2 eth0: tx timeout
kernel: sky2 eth0: transmit ring 328 .. 287 report=329 done=329

$ ethtool -i eth0
driver: sky2
version: 1.5
firmware-version: N/A
bus-info: 0000:02:00.0

-- 
kiu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sergey Kuklin <ksv@Cons.Tsk.Ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 396185@bugs.debian.org (full text, mbox):

From: Sergey Kuklin <ksv@Cons.Tsk.Ru>
To: 396185@bugs.debian.org
Subject: sky2 network driver still freezes
Date: Sun, 18 Nov 2007 03:58:25 +0600 (TSK)
And on my server too:

Debian 4.0r1-amd64

Linux gateway 2.6.18-5-amd64 #1 SMP Tue Oct 2 20:37:02 UTC 2007 x86_64 GNU/Linux

sky2 v1.5 addr 0xff8fc000 irq 177 Yukon-EC (0xb6) rev 2
sky2 v1.5 addr 0xff7fc000 irq 169 Yukon-EC (0xb6) rev 2
sky2 eth0: Link is up at 1000 Mbps, full duplex, flow control none
sky2 eth1: Link is up at 1000 Mbps, full duplex, flow control none
...
sky2 eth0: tx timeout
sky2 eth0: transmit ring 48 .. 8 report=49 done=49
sky2 status report lost?

# ethtool -i eth0
driver: sky2
version: 1.5
firmware-version: N/A
bus-info: 0000:04:00.0

Probably, only amd64 but not i686 bug?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to kiu <kiu@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 396185@bugs.debian.org (full text, mbox):

From: kiu <kiu@gmx.net>
To: 396185@bugs.debian.org
Subject: it happened again
Date: Thu, 13 Mar 2008 14:57:49 +0100
it happened again:

$ uname -a
Linux mixer 2.6.18-5-amd64 #1 SMP Sat Dec 22 20:43:59 UTC 2007 x86_64  
GNU/Linux

This might be introduced in 2.6.18-4:

http://packages.debian.org/changelogs/pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-18etch1/changelog#versionversion2.6.18-4
- sky2: MSI test race and message
- sky2: pause parameter adjustment
- sky2: turn off PHY IRQ on shutdown
- sky2: accept multicast pause frames
- sky2: GMAC pause frame
- sky2: 88E803X transmit lockup (2.6.18)


-- 
kiu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to kiu <kiu@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 396185@bugs.debian.org (full text, mbox):

From: kiu <kiu@gmx.net>
To: 396185@bugs.debian.org
Subject: Driver version
Date: Mon, 17 Mar 2008 11:18:29 +0100
According to this blog entry, someone fixed the bug by using the  
kernel from lenny.
http://www.admin-blog.com/archives/125-sky2-neuer-Kernel-behebt-endlich-nervige-Probleme.html

The difference between lenny and etch kernels are:

lenny (no errors):
~# dmesg | grep sky2
sky2 0000:02:00.0: v1.14 addr 0xdedfc000 irq 16 Yukon-EC (0xb6) rev 2

etch:
~# dmesg | grep sky2
sky2 v1.5 addr 0xdedfc000 irq 169 Yukon-EC (0xb6) rev 2

Is sky2 driver in version 1.5 broken ?
-- 
kiu




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adrian Johnson <ajohnson@redneon.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #122 received at 396185-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 396185-done@bugs.debian.org
Subject: Re: sky2 network driver freezes
Date: Wed, 21 May 2008 20:33:26 +0200
Version: 2.6.24-1

thanks to etch + half newer sky2 driver is available in etch
that fixes the issue, thus closing.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sergio Tosti <sergio.tosti@unipg.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 396185@bugs.debian.org (full text, mbox):

From: Sergio Tosti <sergio.tosti@unipg.it>
To: 396185@bugs.debian.org
Subject: sky2 network driver freezes
Date: Thu, 12 Jun 2008 21:00:47 +0200
Version: 2.6.18-6

# cat /proc/sys/kernel/version
#1 SMP Fri Jun 6 22:22:11 UTC 2008

Bug present, relevant syslog:
[..]
Jun 11 07:31:08 hera kernel: NETDEV WATCHDOG: eth1: transmit timed out
Jun 11 07:31:08 hera kernel: sky2 eth1: tx timeout
Jun 11 07:31:08 hera kernel: sky2 eth1: transmit ring 205 .. 182  
report=205 done
=205
Jun 11 07:31:08 hera kernel: sky2 hardware hung? flushing
[..]
after that system freezes.

With 2.6.24-1 from backports system freezes without any message in  
logs and console!

the node is an intel server sr1435vp2

additional info:
# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 3
cpu MHz         : 2793.334
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge  
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe lm  
constant_tsc pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5590.47

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 3
cpu MHz         : 2793.334
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge  
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe lm  
constant_tsc pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5586.39

processor       : 2
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 3
cpu MHz         : 2793.334
cache size      : 2048 KB
physical id     : 3
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge  
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe lm  
constant_tsc pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5586.49

processor       : 3
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 3
cpu MHz         : 2793.334
cache size      : 2048 KB
physical id     : 3
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge  
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe lm  
constant_tsc pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5586.52

# lspci

00:00.0 Host bridge: Intel Corporation E7320 Memory Controller Hub (rev 0c)
00:00.1 Class ff00: Intel Corporation E7320 Error Reporting Registers (rev 0c)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express  
Port A (rev 0c)
00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express  
Port A1 (rev 0c)
00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host  
Controller (rev 02)
00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host  
Controller (rev 02)
00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable  
Interrupt Controller (rev 02)
00:1d.7 USB Controller: Intel Corporation 6300ESB USB2 Enhanced Host  
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a)
00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller  
(rev 02)
00:1f.1 IDE interface: Intel Corporation 6300ESB PATA Storage  
Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 6300ESB SATA Storage  
Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8050  
PCI-E ASF Gigabit Ethernet Controller (rev 17)
03:03.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
03:03.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
04:02.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
04:03.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit  
Ethernet Controller (rev 05)

Thanks

--Sergio Tosti





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jul 2008 07:37:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:57:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.